import { Octokit } from 'octokit';
import { Options } from '../types.js';

interface OctokitAndOptions {
    octokit: Octokit | undefined;
    options: Options;
}
interface OptionsParseCancelled {
    cancelled: true;
    options: Partial<Options>;
}
interface OptionsParseSuccess extends OctokitAndOptions {
    cancelled: false;
}
type OptionsParseResult = OptionsParseCancelled | OptionsParseSuccess;
declare function readOptions(args: string[]): Promise<OptionsParseResult>;

export { OctokitAndOptions, OptionsParseCancelled, OptionsParseResult, OptionsParseSuccess, readOptions };
